﻿@import '../../scss/variables';
@import '../../scss/mixins';

.ChoosePosition {
  .CardHeader .CardHeaderLogo svg {
    width: $mobile-logo-width;
    height: $mobile-logo-height;
  }

  .PositionGroup {
    display: flex;
    margin-top: $choose-position-levels-margin-top;

    > div {
      position: relative;
      border: $choose-position-levels-margin-top;
      border-radius: $choose-position-levels-radius;
      color: $choose-position-levels-color;
      width: $choose-position-levels-width;
      height: $choose-position-levels-height;
      padding: $choose-position-levels-padding;
      cursor: pointer;
      user-select: none;
      display: flex;
      justify-content: center;
      align-items: center;
      margin-bottom: 2.4rem;

      p {
        font-size: 1.6rem;
        color: white;
        text-align: center;
        margin-bottom: 0;
      }

      @include exclude-desktop() {
        width: 100%;
      }

      &:nth-child(2) {
        margin-left: 2.6rem;

        @include exclude-desktop() {
          width: 100%;
          margin: 1.6rem 0;
        }
      }
    }

    @include exclude-desktop() {
      display: block;
    }

    .CheckMedal {
      display: block;

      svg {
        position: absolute;
        top: $choose-position-win-top;
        left: $choose-position-win-left;
        width: $choose-position-win-width;
        // height: $choose-position-win-height;
      }
    }
  }
}

.PositionGroupWrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 6.9rem;

  @include exclude-desktop() {
    margin-top: 0;

    & > div {
      width: 100%;
    }
  }
}

.CustomButtonAllow,
.CustomButton {
  text-align: right;
  margin: auto;
  margin-top: 0.7rem;

  @include exclude-desktop() {
    width: 100%;
    text-align: center;
    margin-top: 1.6rem;
  }

  button,
  button:disabled:hover {
    background-color: $btn-disabled;
    margin-top: 1.7rem;

    @include exclude-desktop() {
      margin-top: 0;
    }
  }
}

.CustomButtonAllow {
  button {
    background-color: $next-btn;
  }
}

.CertificateLink {
  position: absolute;
  bottom: -3rem;
  text-align: left;
  width: 100%;
  font-size: 1.4rem;
  color: #ffb400;
  text-decoration: underline !important;

  &:hover {
    color: #fac64e;
  }

  svg {
    width: 1.8rem;
    height: 1.8rem;
    margin-right: 0.5rem;
  }
}

.CompletedGame {
  @include exclude-desktop() {
    margin-bottom: 4.5rem !important;
  }
}

.CustomButtonCompleted {
  @include exclude-desktop() {
    margin-top: 5rem !important;
  }
}
